tld_default_table(3)

NAME
tld_default_table - API function

SYNOPSIS
#include <tld.h>

const Tld_table * tld_default_table(const char * tld, const Tld_table ** overrides);

ARGUMENTS

const char * tld
    TLD name (e.g. "com") as zero terminated ASCII byte string.

const Tld_table ** overrides
    Additional zero terminated array of Tld_table info-structures for TLDs, or NULL to only use library deault tables.

DESCRIPTION
Get the TLD table for a named TLD, using the internal defaults, possibly overrided by the (optional) supplied tables. Return value: Return structure corresponding to TLD tld_str , first looking through overrides then thru built-in list, or NULL if no such structure found.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU Libidn home page: http://www.gnu.org/software/libidn/

COPYRIGHT
Copyright © 2002-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libidn/manual/